| hoogle | Source code | Contents | Index

Hoogle.All

Documentation

data Query | Source

Constructors

Query |

scope :: [Scope] |
names :: [String] |
typeSig :: Maybe TypeSig |
flags :: [Flag] |

Instances

Eq Query
Show Query

parseQuery :: String -> Either ParseError Query | Source

renderQuery :: Query -> TagStr | Source

suggestQuery :: [DataBase] -> Query -> Maybe TagStr | Source

usefulQuery

data Flag | Source

Constructors

Flag String String |

Instances

Eq Flag
Read Flag
Show Flag

data DataBase | Source

Instances

Show DataBase
BinaryDefer DataBase

loadDataBase :: FilePath -> IO DataBase | Source

showDataBase :: String -> DataBase -> String | Source

convert :: Bool -> [FilePath] -> FilePath -> FilePath -> IO () | Source

rank :: FilePath -> IO () | Source

combine :: [FilePath] -> FilePath -> IO () | Source

searchAll :: [DataBase] -> Query -> [Result] | Source

searchRange :: Range -> [DataBase] -> Query -> [Result] | Source

data Result | Source

Constructors

Result |

resultEntry :: Link Entry |
resultView :: [EntryView] |
resultScore :: [Score] |

Instances

Show Result

completions :: DataBase -> String -> [String] | Source

Produced by Haddock version 2.4.2